import serial
import time

# 시리얼 포트 설정
port = "COM6"  # 아두이노가 연결된 포트
baudrate = 9600  # 보레이트 설정

# 시리얼 통신 연결
ser = serial.Serial(port, baudrate, timeout=1)

time.sleep(2)  # 아두이노와의 연결을 안정시키기 위해 2초 대기

try:
    while True:
        # 아두이노에서 데이터 수신
        if ser.in_waiting > 0:
            # 아두이노가 println으로 전송하면 파이썬은 readline으로 받는다
            data = ser.readline().decode('utf-8').strip()  # 수신한 데이터를 문자열로 변환하고 줄바꿈 제거
            print(data)  # 콘솔에 출력
except KeyboardInterrupt:
    print("프로그램 종료")
finally:
    ser.close()  # 시리얼 포트 닫기
